VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Member Functions | List of all members
ParamChanges Class Reference

AutomationTest helper classes: implementation of IParamValueQueue. More...

`#include <testbase.h>`

Inheritance diagram for ParamChanges:

## Public Member Functions
DECLARE_FUNKNOWN_METHODS | ParamChanges ()
virtual | ~ParamChanges ()
void | init (ParamID _id, int32 _numPoints)
bool | setPoint (int32 index, int32 offsetSamples, double value)
void | resetPoints ()
int32 | getProcessedFrames () const
void | setProcessedFrames (int32 amount)
bool | havePointsBeenRead (bool atAll)
ParamID | getParameterId () SMTG_OVERRIDE
int32 | getPointCount () SMTG_OVERRIDE
tresult | getPoint (int32 index, int32 &offsetSamples, double &value) SMTG_OVERRIDE
tresult | addPoint (int32, double, int32 &) SMTG_OVERRIDE
virtual ParamID | getParameterId ()=0
virtual int32 | getPointCount ()=0
virtual tresult | getPoint (int32 index, int32 &sampleOffset, ParamValue &value)=0
virtual tresult | addPoint (int32 sampleOffset, ParamValue value, int32 &index)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Additional Inherited Members
Static Public Attributes inherited from IParamValueQueue
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

AutomationTest helper classes: implementation of IParamValueQueue.

## Constructor & Destructor Documentation

## ◆ ParamChanges()

DECLARE_FUNKNOWN_METHODS ParamChanges | ( |  | ) |

## ◆ ~ParamChanges()

~ParamChanges | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ init()

void init | ( | ParamID | _id,
|  | int32 | _numPoints
| ) |  |

## ◆ setPoint()

bool setPoint | ( | int32 | index,
|  | int32 | offsetSamples,
|  | double | value
| ) |  |

## ◆ resetPoints()

void resetPoints | ( |  | ) |

## ◆ getProcessedFrames()

int32 getProcessedFrames | ( |  | ) | const

## ◆ setProcessedFrames()

void setProcessedFrames | ( | int32 | amount | ) |

## ◆ havePointsBeenRead()

bool havePointsBeenRead | ( | bool | atAll | ) |

## ◆ getParameterId()

ParamID getParameterId | ( |  | ) |
| virtual

Implements IParamValueQueue.

## ◆ getPointCount()

int32 getPointCount | ( |  | ) |
| virtual

Implements IParamValueQueue.

## ◆ getPoint()

tresult getPoint | ( | int32 | index,
|  | int32 & | offsetSamples,
|  | double & | value
| ) |  |
| virtual

Implements IParamValueQueue.

## ◆ addPoint()

tresult addPoint | ( | int32 | ,
|  | double | ,
|  | int32 & |
| ) |  |
| virtual

Implements IParamValueQueue.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.